# Event
**Inherits:** [Resource](https://docs.godotengine.org/de/4.x/classes/class_resource.html)
    
## Description

Base class for all events



## Methods

| Returns | Name                                                      |
| ------- | --------------------------------------------------------- |
| void    | [merge](#merge) ( event: [Event](/reference/Event.html) ) |









## Method Descriptions

###  merge (event: [Event](/reference/Event.html)  ) -> void {#merge}

Merges the current event with another event. This is used in the EventSystem internally.
